Subject: Re: bug#71929: 30.0.60; crash in mark_image_cache

From: Eli Zaretskii <[email-masked]>
Date: Thu, 04 Jul 2024 08:53:41 +0300

> From: Sean Whitton <[email-masked]>
> Date: Thu, 04 Jul 2024 10:44:04 +0800
> 
> Hello,
> 
> On Thu 04 Jul 2024 at 10:33am +08, Sean Whitton wrote:
> 
> > My pgtk Emacs keeps crashing.  This time I think I caught it.
> > I see there was a recent commit to code around here; if this backtrace
> > is not sufficient, I can try bisecting, but I cannot currently reproduce
> > the crash reliably.
> >
> > Thread 1 "emacs" received signal SIGSEGV, Segmentation fault.
> > 0x00005555557a2c51 in mark_image_cache (c=0x55555729fc70) at image.c:3775
> > 3775		if (c->images[i])
> > (gdb)
> 
> ... and i was 0, i.e. it crashes on the first iteration.

What is the value of c->images?  IOW, why did this line segfault?